[package]
name = "authservice"
version = "0.1.0"
edition = "2021"
license = "AGPL-3"
license-file = "LICENSE"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
asklyphe-common = { path = "../asklyphe-common" }
tokio = { version = "1.0", features = ["full"] }
serde = { version = "1.0", features = ["derive"] }
sea-orm = { version = "1.0.0", features = ["sqlx-postgres", "runtime-tokio-native-tls", "macros", "with-chrono"]}
entity = { path = "./entity" }
rmp-serde = "1.1.2"
async-nats = "0.38.0"
chrono = "0.4.26"
once_cell = "1.18.0"
ulid = "1.0.0"
rand = "0.8.5"
futures = "0.3.30"
log = "0.4.20"
env_logger = "0.10.2"
argon2 = "0.5.3"
regex = "1.10.3"
lettre = "0.11.10"